## yt 3.2.1

=== requirements.txt ===
numpy==1.9.2 
matplotlib==1.4.3 
Cython==0.22 
h5py==2.5.0 
nose==1.3.6 
sympy==0.7.6

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html        to make standalone HTML files"
	@echo "  dirhtml     to make HTML files named index.html in directories"
	@echo "  singlehtml  to make a single large HTML file"
	@echo "  pickle      to make pickle files"
	@echo "  json        to make JSON files"
	@echo "  htmlhelp    to make HTML files and a HTML help project"
	@echo "  qthelp      to make HTML files and a qthelp project"
	@echo "  devhelp     to make HTML files and a Devhelp project"
	@echo "  epub        to make an epub"
	@echo "  latex       to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf    to make LaTeX files and run them through pdflatex"
	@echo "  text        to make text files"
	@echo "  man         to make manual pages"
	@echo "  changes     to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck   to check all external links for integrity"
	@echo "  doctest     to run all doctests embedded in the documentation (if enabled)"
	@echo "  clean 	     to remove the build directory"
	@echo "  fullclean   to remove the build directory and autogenerated api docs"
	@echo "  recipeclean to remove files produced by running the cookbook scripts"

clean:
	-rm -rf $(BUILDDIR)/*

fullclean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf source/reference/api/generated

recipeclean:
	-rm -rf _temp/*.done source/cookbook/_static/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/yt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/yt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/yt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/yt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
yt (3.2.1-2) unstable; urgency=low

  * Backport fix for mpl-1.5.
  * Correct Python dependencies to fix FTBS. Closes: #802428

 -- Kacper Kowalik <xarthisius.kk@gmail.com>  Thu, 22 Oct 2015 19:57:35 +0000

yt (3.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #789976)

 -- Kacper Kowalik <xarthisius.kk@gmail.com>  Tue, 28 Jul 2015 20:08:18 +0000

=== debian/control ===
Source: yt
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Kacper Kowalik <xarthisius.kk@gmail.com>
Build-Depends: cython (>= 0.22),
               cython3 (>= 0.22),
               debhelper (>= 9),
               dh-python,
               libpng12-dev,
               libpython-dev,
               libpython3-dev,
               python-all-dev,
               python-h5py,
               python-matplotlib,
               python-nose,
               python-numpy,
               python-setuptools,
               python-sympy,
               python-tk,
               python3-all-dev,
               python3-h5py,
               python3-matplotlib,
               python3-nose,
               python3-numpy,
               python3-setuptools,
               python3-sympy,
               python3-tk
Standards-Version: 3.9.6
Homepage: http://yt-project.org/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/yt.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/yt.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-yt
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-h5py,
         python-matplotlib,
         python-numpy (>= 1:1.6.1),
         python-numpy-abi9,
         python-sympy
Suggests: python-astropy,
          python-scipy,
          python-pyx
Description: Framework for analyzing and visualizing simulation data (Python 2)
 The yt project aims to produce an integrated science environment for
 collaboratively asking and answering astrophysical questions. To do so, it will
 encompass the creation of initial conditions, the execution of simulations, and
 the detailed exploration and visualization of the resultant data. It will also
 provide a standard framework based on physical quantities interoperability
 between codes.  
 .
 This package contains the Python 2 version of the package.

Package: python3-yt
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         python3-h5py,
         python3-matplotlib,
         python3-numpy (>= 1:1.6.1),
         python3-numpy-abi9,
         python3-sympy
Suggests: python3-astropy,
          python3-scipy,
          python3-pyx
Description: Framework for analyzing and visualizing simulation data (Python 3)
 The yt project aims to produce an integrated science environment for
 collaboratively asking and answering astrophysical questions. To do so, it will
 encompass the creation of initial conditions, the execution of simulations, and
 the detailed exploration and visualization of the resultant data. It will also
 provide a standard framework based on physical quantities interoperability
 between codes.  
 .
 This package contains the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=yt
export http_proxy=127.0.0.1:9

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	python setup.py build_ext -i && nosetests
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/yt/yt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## yt 3.2.3

=== debian/changelog ===
yt (3.2.3-2) unstable; urgency=medium

  * ACTUALLY fixes build failures on i386. Closes: #803275

 -- BW Keller <malzraa@gmail.com>  Mon, 12 Sep 2016 22:50:04 -0400

yt (3.2.3-1) unstable; urgency=medium

  * Upgrade to upstream version 3.2.3
  * Remove dependence on libpng. Closes: #810709
  * Fixes build failures. Closes: #810209, #803275
  * Maintainer has changed. Closes: #817200

 -- BW Keller <malzraa@gmail.com>  Tue, 6 Sep 2016 16:35:35 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Kacper Kowalik <xarthisius.kk@gmail.com>
+Uploaders: BW Keller <malzraa@gmail.com>
 Build-Depends: cython (>= 0.22),
                cython3 (>= 0.22),
                debhelper (>= 9),
                dh-python,
-               libpng12-dev,
                libpython-dev,
                libpython3-dev,
                python-all-dev,
@@ -26,10 +25,10 @@
                python3-setuptools,
                python3-sympy,
                python3-tk
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://yt-project.org/
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/yt.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/yt.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/yt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/yt.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,24 @@
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
+override_dh_fixperms:
+	dh_fixperms
+	chmod 644 $(CURDIR)/debian/python3-yt/usr/lib/python3/dist-packages/yt/gui/reason/html/index.html
+	chmod 644 $(CURDIR)/debian/python-yt/usr/lib/python*/dist-packages/yt/gui/reason/html/index.html
+
+override_dh_auto_install:
+	dh_auto_install
+	mv $(CURDIR)/debian/python-yt/usr/bin/yt $(CURDIR)/debian/python-yt/usr/bin/yt2
+	mv $(CURDIR)/debian/python-yt/usr/bin/yt_lodgeit.py $(CURDIR)/debian/python-yt/usr/bin/yt_lodgeit2
+	mv $(CURDIR)/debian/python3-yt/usr/bin/yt_lodgeit.py $(CURDIR)/debian/python3-yt/usr/bin/yt_lodgeit
+	mv $(CURDIR)/debian/python-yt/usr/bin/iyt $(CURDIR)/debian/python-yt/usr/bin/iyt2
+
+override_dh_installman:
+	cp doc/yt.1 doc/yt2.1
+	cp doc/yt_lodgeit.1 doc/yt_lodgeit2.1
+	cp doc/iyt.1 doc/iyt2.1
+	dh_installman
+
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	python setup.py build_ext -i && nosetests

## yt 3.3.3

=== debian/changelog ===
yt (3.3.3-2build3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:24:06 +0000

yt (3.3.3-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:39:30 +0000

yt (3.3.3-2build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:25:21 -0700

yt (3.3.3-2) unstable; urgency=low

  * Fixes 32-bit build failures. Closes: #851831

 -- BW Keller <malzraa@gmail.com>  Thu, 26 Jan 2017 14:19:12 -0500

yt (3.3.3-1) unstable; urgency=low

  * Upgrade to upstream version 3.3.3

 -- BW Keller <malzraa@gmail.com>  Sun, 08 Jan 2017 18:03:12 -0500

yt (3.3.1-1) unstable; urgency=low

  * Upgrade to upstream version 3.3.1

 -- BW Keller <malzraa@gmail.com>  Mon, 19 Sep 2016 12:35:29 -0400

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,8 @@
                python3-numpy,
                python3-setuptools,
                python3-sympy,
-               python3-tk
+               python3-tk,
+               libjs-jquery
 Standards-Version: 3.9.8
 Homepage: http://yt-project.org/
 Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/yt.git
@@ -39,7 +40,8 @@
          python-matplotlib,
          python-numpy (>= 1:1.6.1),
          python-numpy-abi9,
-         python-sympy
+         python-sympy,
+         libjs-jquery
 Suggests: python-astropy,
           python-scipy,
           python-pyx
@@ -60,7 +62,8 @@
          python3-matplotlib,
          python3-numpy (>= 1:1.6.1),
          python3-numpy-abi9,
-         python3-sympy
+         python3-sympy,
+         libjs-jquery
 Suggests: python3-astropy,
           python3-scipy,
           python3-pyx

## yt 3.4.0

=== debian/changelog ===
yt (3.4.0-3) unstable; urgency=low

  * Fix 32 bit FTBF.  Closes: #879482

 -- BW Keller <malzraa@gmail.com>  Tue, 24 Oct 2017 16:11:30 +0000

yt (3.4.0-2) unstable; urgency=low

  * Fix build issue with home directory needed for nose tests.

 -- BW Keller <malzraa@gmail.com>  Sat, 21 Oct 2017 13:55:11 +0000

yt (3.4.0-1) unstable; urgency=medium

  * Upgrade to upstream version 3.4.0

 -- BW Keller <malzraa@gmail.com>  Fri, 22 Sep 2017 17:14:53 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                python-h5py,
                python-matplotlib,
                python-nose,
+               python-mock,
                python-numpy,
                python-setuptools,
                python-sympy,
@@ -40,6 +41,7 @@
          python-matplotlib,
          python-numpy (>= 1:1.6.1),
          python-numpy-abi9,
+         python-mock,
          python-sympy,
          libjs-jquery
 Suggests: python-astropy,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=yt
export http_proxy=127.0.0.1:9
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export HOME=$(CURDIR)/debian/home

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .eggs/

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/python-yt/usr/lib/python*/dist-packages/yt/extern/tqdm/LICENSE
	rm $(CURDIR)/debian/python3-yt/usr/lib/python*/dist-packages/yt/extern/tqdm/LICENSE
	rm $(CURDIR)/debian/python-yt/usr/lib/python*/dist-packages/yt/frontends/artio/artio_headers/LICENSE
	rm $(CURDIR)/debian/python3-yt/usr/lib/python*/dist-packages/yt/frontends/artio/artio_headers/LICENSE
	mv $(CURDIR)/debian/python-yt/usr/bin/yt $(CURDIR)/debian/python-yt/usr/bin/yt2
	mv $(CURDIR)/debian/python-yt/usr/bin/iyt $(CURDIR)/debian/python-yt/usr/bin/iyt2
	mkdir -p $(CURDIR)/debian/python-yt/usr/share/doc/python-yt/
	mkdir -p $(CURDIR)/debian/python3-yt/usr/share/doc/python3-yt/
	gzip -9 -c doc/source/reference/changelog.rst > $(CURDIR)/debian/python-yt/usr/share/doc/python-yt/changelog.gz
	gzip -9 -c doc/source/reference/changelog.rst > $(CURDIR)/debian/python3-yt/usr/share/doc/python3-yt/changelog.gz

override_dh_installman:
	cp doc/yt.1 doc/yt2.1
	cp doc/iyt.1 doc/iyt2.1
	cp doc/yt_lodgeit.1 doc/yt_lodgeit2.1
	dh_installman

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	mkdir -p $(HOME)
	python setup.py build_ext -i && nosetests
endif

## yt 3.5.0

=== debian/changelog ===
yt (3.5.0-1) unstable; urgency=medium

  * Upgrade to upstream version 3.5.0

 -- BW Keller <malzraa@gmail.com>  Fri, 14 Dec 2018 11:33:41 +0000

yt (3.4.1-2) unstable; urgency=medium

  * Team upload.

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #892496)

  [ Ben Keller ]
  * Added back testing code to debian/rules to fix FTBFS. Closes: #908683

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Nov 2018 12:46:36 +0100

yt (3.4.1-1) unstable; urgency=medium

  * Upgrade to upstream version 3.4.1

 -- BW Keller <malzraa@gmail.com>  Tue, 28 Aug 2018 10:07:46 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: BW Keller <malzraa@gmail.com>
 Build-Depends: cython (>= 0.22),
                cython3 (>= 0.22),
-               debhelper (>= 9),
+               debhelper (>= 11),
                dh-python,
                libpython-dev,
                libpython3-dev,
@@ -26,13 +26,12 @@
                python3-setuptools,
                python3-sympy,
                python3-tk,
+               libjs-leaflet,
                libjs-jquery
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://yt-project.org/
-Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/yt.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/yt.git
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
+Vcs-Git: https://salsa.debian.org/debian-astro-team/yt.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/yt
 
 Package: python-yt
 Architecture: any
@@ -43,6 +42,7 @@
          python-numpy-abi9,
          python-mock,
          python-sympy,
+         libjs-leaflet,
          libjs-jquery
 Suggests: python-astropy,
           python-scipy,
@@ -53,7 +53,7 @@
  encompass the creation of initial conditions, the execution of simulations, and
  the detailed exploration and visualization of the resultant data. It will also
  provide a standard framework based on physical quantities interoperability
- between codes.  
+ between codes.
  .
  This package contains the Python 2 version of the package.
 
@@ -65,6 +65,7 @@
          python3-numpy (>= 1:1.6.1),
          python3-numpy-abi9,
          python3-sympy,
+         libjs-leaflet,
          libjs-jquery
 Suggests: python3-astropy,
           python3-scipy,
@@ -75,6 +76,6 @@
  encompass the creation of initial conditions, the execution of simulations, and
  the detailed exploration and visualization of the resultant data. It will also
  provide a standard framework based on physical quantities interoperability
- between codes.  
+ between codes.
  .
  This package contains the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 export PYBUILD_NAME=yt
 export http_proxy=127.0.0.1:9
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export HOME=$(CURDIR)/debian/home
 
 %:
@@ -15,10 +14,12 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm $(CURDIR)/debian/python-yt/usr/lib/python*/dist-packages/yt/extern/tqdm/LICENSE
-	rm $(CURDIR)/debian/python3-yt/usr/lib/python*/dist-packages/yt/extern/tqdm/LICENSE
-	rm $(CURDIR)/debian/python-yt/usr/lib/python*/dist-packages/yt/frontends/artio/artio_headers/LICENSE
-	rm $(CURDIR)/debian/python3-yt/usr/lib/python*/dist-packages/yt/frontends/artio/artio_headers/LICENSE
+	rm $(CURDIR)/debian/python*-yt/usr/lib/python*/dist-packages/yt/extern/tqdm/LICENSE
+	rm $(CURDIR)/debian/python*-yt/usr/lib/python*/dist-packages/yt/frontends/artio/artio_headers/LICENSE
+	rm $(CURDIR)/debian/python-yt/usr/lib/python*/dist-packages/yt/frontends/artio/_artio_caller.c
+	rm $(CURDIR)/debian/python*-yt/usr/lib/python*/dist-packages/yt/analysis_modules/halo_finding/fof/README
+	rm $(CURDIR)/debian/python*-yt/usr/lib/python*/dist-packages/yt/analysis_modules/halo_finding/hop/README
+	rm $(CURDIR)/debian/python*-yt/usr/lib/python*/dist-packages/yt/utilities/poster/README
 	mv $(CURDIR)/debian/python-yt/usr/bin/yt $(CURDIR)/debian/python-yt/usr/bin/yt2
 	mv $(CURDIR)/debian/python-yt/usr/bin/iyt $(CURDIR)/debian/python-yt/usr/bin/iyt2
 	mkdir -p $(CURDIR)/debian/python-yt/usr/share/doc/python-yt/

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python3 -c "import yt; exit(yt.run_nose())"
Depends: python3-yt
Restrictions: allow-stderr

Test-Command: cd $ADTTMP && python -c "import yt; exit(yt.run_nose())"
Depends: python-yt
Restrictions: allow-stderr

## yt 3.5.1

=== doc/Makefile ===
--- 
+++ 
@@ -33,20 +33,25 @@
 	@echo "  linkcheck   to check all external links for integrity"
 	@echo "  doctest     to run all doctests embedded in the documentation (if enabled)"
 	@echo "  clean 	     to remove the build directory"
-	@echo "  fullclean   to remove the build directory and autogenerated api docs"
 	@echo "  recipeclean to remove files produced by running the cookbook scripts"
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -rf source/reference/api/yt.*
+	-rm -rf source/reference/api/modules.rst
 
-fullclean:
-	-rm -rf $(BUILDDIR)/*
-	-rm -rf source/reference/api/generated
+fullclean: clean
 
 recipeclean:
 	-rm -rf _temp/*.done source/cookbook/_static/*
 
 html:
+ifneq ($(READTHEDOCS),True)
+	SPHINX_APIDOC_OPTIONS=members,undoc-members,inherited-members,show-inheritance sphinx-apidoc \
+        -o source/reference/api/ \
+        -e ../yt ../yt/extern* $(shell find ../yt -name "*tests*" -type d) ../yt/utilities/voropp* \
+           ../yt/analysis_modules/halo_finding/{fof,hop}
+endif
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
yt (3.5.1-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:26:44 +0100

yt (3.5.1-3) unstable; urgency=medium

  * Team upload.
  * add support for sympy 1.5. Closes: #948459

 -- Ole Streicher <olebole@debian.org>  Mon, 13 Jan 2020 22:32:15 +0100

yt (3.5.1-2) unstable; urgency=medium

  * Team upload.
  * Add support for the clip ufunc and add testing for np.clip (Closes: #945330)
  * Push Standards-Version to 4.4.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 10 Dec 2019 14:28:28 +0100

yt (3.5.1-1) unstable; urgency=low

  * Team upload.
  * Add nose to CI test dependencies
  * New upstream version 3.5.1. Rediff patches
  * Drop Python 2 package (Closes: #938870, #936057)
  * Push Standards-Version to 4.4.0. Change remaining URLs to https
  * Push compat to 12. Remove d/compat
  * Add tests on salsa
  * Use Nose directly from pybuild
  * Simplify d/rules
  * Put manpanges under debian/man instead of creating by a patch
  * Simplify nosetest call in d/tests/control

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Sep 2019 20:44:17 +0200

=== debian/control ===
Source: yt
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: BW Keller <malzraa@gmail.com>
Build-Depends: cython3 (>= 0.22),
               debhelper-compat (= 12),
               dh-python,
               libpython3-dev,
               python3-all-dev,
               python3-h5py,
               python3-matplotlib,
               python3-nose,
               python3-numpy,
               python3-setuptools,
               python3-sympy,
               python3-tk,
               libjs-leaflet,
               libjs-jquery
Standards-Version: 4.4.1
Homepage: https://yt-project.org/
Vcs-Git: https://salsa.debian.org/debian-astro-team/yt.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/yt

Package: python3-yt
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         python3-h5py,
         python3-matplotlib,
         python3-numpy (>= 1:1.6.1),
         python3-numpy-abi9,
         python3-sympy,
         libjs-leaflet,
         libjs-jquery
Suggests: python3-astropy,
          python3-scipy,
          python3-pyx
Description: Framework for analyzing and visualizing simulation data (Python 3)
 The yt project aims to produce an integrated science environment for
 collaboratively asking and answering astrophysical questions. To do so, it will
 encompass the creation of initial conditions, the execution of simulations, and
 the detailed exploration and visualization of the resultant data. It will also
 provide a standard framework based on physical quantities interoperability
 between codes.
 .
 This package contains the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=yt
export HOME=$(CURDIR)/debian/home

export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs doc/source/reference/changelog.rst

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && nosetests3 yt
Depends: python3-yt, python3-nose
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/yt/yt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## yt 3.6.0

=== debian/changelog ===
yt (3.6.0-4) unstable; urgency=medium

  * Support compatibility with matplotlib's latest version (Closes: #967000)

 -- Ole Streicher <olebole@debian.org>  Wed, 12 Aug 2020 14:29:55 +0200

yt (3.6.0-3) unstable; urgency=medium

  * Add mode argument to h5py.File (Closes: #960573)
  * Push dh compat level to 13

 -- Ole Streicher <olebole@debian.org>  Fri, 15 May 2020 16:54:47 +0200

yt (3.6.0-2) unstable; urgency=medium

  * Allow SlicePlots to fail on ppc64el

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Apr 2020 20:28:18 +0200

yt (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.6.0. Rediff patches. Closes: #954576
  * Add myself as (factical) uploader
  * Push Standards-Version to 4.5.0. No changes needed
  * Use "Expat" as short name in d/copyright where applicable
  * Add pytest to test dependencies
  * Skip test that has a missing test file

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Apr 2020 12:16:32 +0200

## yt 3.6.1

=== debian/changelog ===
yt (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1. Closes: #974182
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Nov 2020 09:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: yt
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: BW Keller <malzraa@gmail.com>,
+           Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: BW Keller <malzraa@gmail.com>
 Build-Depends: cython3 (>= 0.22),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                libpython3-dev,
                python3-all-dev,
@@ -12,22 +13,26 @@
                python3-matplotlib,
                python3-nose,
                python3-numpy,
+               python3-pytest,
                python3-setuptools,
                python3-sympy,
                python3-tk,
+               python3-yaml,
                libjs-leaflet,
                libjs-jquery
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/yt
+Vcs-Git: https://salsa.debian.org/debian-astro-team/yt.git
 Homepage: https://yt-project.org/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/yt.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/yt
 
 Package: python3-yt
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
          python3-h5py,
          python3-matplotlib,
-         python3-numpy (>= 1:1.6.1),
+         python3-numpy,
          python3-numpy-abi9,
          python3-sympy,
          libjs-leaflet,

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 export PYBUILD_NAME=yt
 export HOME=$(CURDIR)/debian/home
 
-export PYBUILD_TEST_NOSE=1
-
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --pyargs yt
Depends: python3-yt, python3-nose, python3-pytest
Restrictions: allow-stderr

## yt 4.0.2

=== debian/changelog ===
yt (4.0.2-2ubuntu1) jammy; urgency=medium

  * Cherry-pick upstream commit to fix a
    deprecation warning from scipy 1.8

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 04 Apr 2022 12:50:20 +0000

yt (4.0.2-2) unstable; urgency=medium

  * Remove files that shall not be installed in d/clean (Closes: #1008177)

 -- Ole Streicher <olebole@debian.org>  Thu, 24 Mar 2022 07:57:34 +0100

yt (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * Rediff patches. Drop patches that were applied upstream
  * Add new dependency python3-cmyt

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Feb 2022 13:40:24 +0100

yt (4.0.1-4) unstable; urgency=medium

  * Skip GDF tests (require non-existing conftest.py)

 -- Ole Streicher <olebole@debian.org>  Fri, 10 Dec 2021 10:09:05 +0100

yt (4.0.1-3) unstable; urgency=medium

  * Check bounds checks with negation to fix FTBFS on some platforms

 -- Ole Streicher <olebole@debian.org>  Sun, 21 Nov 2021 12:12:47 +0100

yt (4.0.1-2) unstable; urgency=medium

  * Catch SyntaxError (on 32-bit archs) when reading a h5py file

 -- Ole Streicher <olebole@debian.org>  Wed, 17 Nov 2021 14:22:51 +0100

yt (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1. Closes: #993004
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed
  * Add "Rules-Requires-Root: no" to d/control
  * Update build and test dependencies
  * Mark build dependencies that are required for testing only
  * Skip test_load_sample that requires remote data access
  * Move conftest.py to build dir before test
  * Update d/copyright
  * Don't install LICENSE and README files
  * Ignore potential dh_dwz failures with image_samplers.*.so
  * Use 32bit uword on i386 / 64bit on x86-64
  * Remove *_nose.py and yt/frontends/gdf/tests/test_outputs.py
  * Explicitly cast np.argsort() result to target data type to fix FTBFS on 32 bit

 -- Ole Streicher <olebole@debian.org>  Sun, 07 Nov 2021 13:09:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,36 @@
 Source: yt
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: BW Keller <malzraa@gmail.com>,
            Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3 (>= 0.22),
+Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
                libpython3-dev,
                python3-all-dev,
-               python3-h5py,
-               python3-matplotlib,
-               python3-nose,
+               python3-cmyt,
+               python3-h5py <!nocheck>,
+               python3-matplotlib <!nocheck>,
+               python3-more-itertools (>=8.4~) <!nocheck>,
+               python3-nose <!nocheck>,
                python3-numpy,
-               python3-pytest,
+               python3-pooch <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-sympy,
-               python3-tk,
-               python3-yaml,
+               python3-sympy <!nocheck>,
+               python3-tk <!nocheck>,
+               python3-tqdm <!nocheck>,
+               python3-yaml <!nocheck>,
+               python3-unyt,
                libjs-leaflet,
                libjs-jquery
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/yt
 Vcs-Git: https://salsa.debian.org/debian-astro-team/yt.git
 Homepage: https://yt-project.org/
+Rules-Requires-Root: no
 
 Package: python3-yt
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=yt
export HOME=$(CURDIR)/debian/home

export PYBUILD_BEFORE_TEST=cp conftest.py {build_dir}
export PYBUILD_TEST_ARGS=--confcutdir=.
export PYBUILD_AFTER_TEST=rm {build_dir}/conftest.py


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs doc/source/reference/changelog.rst

override_dh_auto_install:
	dh_auto_install
	find debian/python3-yt \( -name yt.toml -o -name \*_nose.py \) -exec rm {} \;

override_dh_dwz:
	dh_dwz || true  # Ignore potential failures with image_samplers.*.so

## yt 4.0.5

=== debian/changelog ===
yt (4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 13 Aug 2022 14:07:17 +0200

yt (4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4

 -- Ole Streicher <olebole@debian.org>  Mon, 30 May 2022 15:04:54 +0200

yt (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3
  * Rediff patches
  * Add py3-tomli, tomli-w to build deps

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Apr 2022 09:29:22 +0200

yt (4.0.2-3) unstable; urgency=medium

  * Ignore deprecation warnings (Closes: #1009386)

 -- Ole Streicher <olebole@debian.org>  Wed, 13 Apr 2022 11:29:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: yt
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: BW Keller <malzraa@gmail.com>,
            Ole Streicher <olebole@debian.org>
 Section: python
@@ -21,12 +20,14 @@
                python3-setuptools,
                python3-sympy <!nocheck>,
                python3-tk <!nocheck>,
+               python3-tomli,
+               python3-tomli-w,
                python3-tqdm <!nocheck>,
                python3-yaml <!nocheck>,
                python3-unyt,
                libjs-leaflet,
                libjs-jquery
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/yt
 Vcs-Git: https://salsa.debian.org/debian-astro-team/yt.git
 Homepage: https://yt-project.org/

## yt 4.1.4

=== debian/changelog ===
yt (4.1.4-2) unstable; urgency=medium

  [ Ole Streicher ]
  * Remove temporary fix for missing __init__.py: fixed upstream

  [ Graham Inggs ]
  * Add versioned dependency on python3-numpy (Closes: #1030025)

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Jan 2023 16:06:50 +0100

yt (4.1.4-1) unstable; urgency=medium

  * New upstream version 4.1.4

 -- Ole Streicher <olebole@debian.org>  Sun, 29 Jan 2023 14:35:39 +0100

yt (4.1.3-2) unstable; urgency=medium

  * Ignore invalid-value warnings which may appear on mipsel

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Dec 2022 21:32:08 +0100

yt (4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Dec 2022 11:56:32 +0100

yt (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Nov 2022 22:31:51 +0100

yt (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * Rediff patches
  * Add missing __init__.py files in Cholla and Chimera test folders

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Oct 2022 07:35:58 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                python3-unyt,
                libjs-leaflet,
                libjs-jquery
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/yt
 Vcs-Git: https://salsa.debian.org/debian-astro-team/yt.git
 Homepage: https://yt-project.org/
@@ -41,7 +41,6 @@
          python3-h5py,
          python3-matplotlib,
          python3-numpy,
-         python3-numpy-abi9,
          python3-sympy,
          libjs-leaflet,
          libjs-jquery

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --pyargs yt
Depends: @,
         python3-h5py,
         python3-nose,
         python3-pooch,
         python3-pytest,
         python3-tk
Restrictions: allow-stderr

## yt 4.2.1

=== debian/changelog ===
yt (4.2.1-3) unstable; urgency=medium

  * Skip test that leads to a mem alloc error on mipsel

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Jul 2023 22:20:56 +0200

yt (4.2.1-2) unstable; urgency=medium

  * Fix cython-fortran-utils test on big endian

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Jul 2023 17:43:53 +0200

yt (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * Rediff patches
  * Add new dependency py3-ewah-bool-utils
  * Remove @cython.cpow decorator
  * Add pytest-mpl test dependency
  * Skip deprecation warning test

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Jul 2023 10:27:12 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                libpython3-dev,
                python3-all-dev,
                python3-cmyt,
+               python3-ewah-bool-utils,
                python3-h5py <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-more-itertools (>=8.4~) <!nocheck>,
@@ -17,6 +18,7 @@
                python3-numpy,
                python3-pooch <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-pytest-mpl <!nocheck>,
                python3-setuptools,
                python3-sympy <!nocheck>,
                python3-tk <!nocheck>,

## yt 4.3.0

=== debian/changelog ===
yt (4.3.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:16:08 +0000

yt (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0. Closes: #1056896, #1056043, #1057864
  * Rediff patches
  * Add cython3 build-dep minversion
  * New build dependency python3-typint-extensions
  * Fix an incompatibility with unyt 3.0

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Dec 2023 21:02:21 +0100

yt (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2
  * Drop Fix-cython-fortran-utils-test-on-big-endian.patch: applied upstream
  * Add another regenerated file to d/clean (Closes: #1047553)

 -- Ole Streicher <olebole@debian.org>  Sat, 26 Aug 2023 09:53:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3,
+Build-Depends: cython3 (>=3.0.0~),
                debhelper-compat (= 13),
                dh-python,
                libpython3-dev,
@@ -25,6 +25,7 @@
                python3-tomli,
                python3-tomli-w,
                python3-tqdm <!nocheck>,
+               python3-typing-extensions,
                python3-yaml <!nocheck>,
                python3-unyt,
                libjs-leaflet,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/source/reference/changelog.rst

=== debian/tests/control ===
--- 
+++ 
@@ -4,5 +4,6 @@
          python3-nose,
          python3-pooch,
          python3-pytest,
+         python3-pytest-mpl,
          python3-tk
 Restrictions: allow-stderr

## yt 4.3.1

=== debian/changelog ===
yt (4.3.1-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * disable on i386 one test with precision issue

  [ Ole Streicher ]
  * Disable CI test that fail on i386
  * Remove nose dependent test files with d/clean

 -- Ole Streicher <olebole@debian.org>  Tue, 10 Sep 2024 11:47:01 +0200

yt (4.3.1-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/rules: ignore errors during cleaning
  * d/control: remove build-dep on nose, not used by upstream for Python
    3.11+. Closes: #1018675

  [ Ole Streicher ]
  * New upstream version 4.3.1. Closes: #1069397
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 14 May 2024 16:59:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,24 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/architecture.mk
 
 export PYBUILD_NAME=yt
 export HOME=$(CURDIR)/debian/home
 
+export PYBUILD_CLEAN_ARGS=|| true
 export PYBUILD_BEFORE_TEST=cp conftest.py {build_dir}
-export PYBUILD_TEST_ARGS=--confcutdir=.
 export PYBUILD_AFTER_TEST=rm {build_dir}/conftest.py
 
+# same precision issue as on gammapy
+ifeq (i386,$(DEB_HOST_ARCH))
+export PYBUILD_TEST_ARGS=--confcutdir=. -k 'not test_grid_arrays_view'
+else
+export PYBUILD_TEST_ARGS=--confcutdir=.
+endif
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
+	dh $@ --with numpy3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/source/reference/changelog.rst

## yt 4.4.0

=== debian/changelog ===
yt (4.4.0-2) unstable; urgency=medium

  * Add python3-pil build dependency (Closes: #1094109)
  * Update 32-bit patch for numpy 2

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Feb 2025 18:30:20 +0100

yt (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * Rediff patches
  * Don't run a test that crashes on i386
  * Remove more nose dependent test files

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Nov 2024 15:45:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: cython3 (>=3.0.0~),
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libpython3-dev,
                python3-all-dev,
                python3-cmyt,
@@ -14,8 +14,8 @@
                python3-h5py <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-more-itertools (>=8.4~) <!nocheck>,
-               python3-nose <!nocheck>,
                python3-numpy,
+               python3-pil,
                python3-pooch <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-mpl <!nocheck>,
@@ -30,7 +30,7 @@
                python3-unyt,
                libjs-leaflet,
                libjs-jquery
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/yt
 Vcs-Git: https://salsa.debian.org/debian-astro-team/yt.git
 Homepage: https://yt-project.org/

## yt 4.4.1

=== doc/Makefile ===
--- 
+++ 
@@ -49,8 +49,7 @@
 ifneq ($(READTHEDOCS),True)
 	SPHINX_APIDOC_OPTIONS=members,undoc-members,inherited-members,show-inheritance sphinx-apidoc \
         -o source/reference/api/ \
-        -e ../yt ../yt/extern* $(shell find ../yt -name "*tests*" -type d) ../yt/utilities/voropp* \
-           ../yt/analysis_modules/halo_finding/{fof,hop}
+        -e ../yt $(shell find ../yt -name "*tests*" -type d) ../yt/utilities/voropp* ../yt/analysis_modules/*
 endif
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo

=== debian/changelog ===
yt (4.4.1-2) unstable; urgency=medium

  * Team Upload
  * Extend existing 32bit patch for one new test

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 11:46:09 +0200

yt (4.4.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 4.4.1
  * Refresh patches
  * Update build-dependencies
    - python3-tomli
    + dh-sequence-numpy
    + python3-contourpy
    + python3-numpy-dev

 -- Alexandre Detiste <tchet@debian.org>  Mon, 25 Aug 2025 22:00:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	find debian/python3-yt \( -name yt.toml -o -name \*_nose.py \) -exec rm {} \;
+	find debian/python3-yt -name yt.toml -exec rm {} \;
 
 override_dh_dwz:
 	dh_dwz || true  # Ignore potential failures with image_samplers.*.so

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --pyargs yt -k 'not test_grid_arrays_view'
Depends: @,
         python3-h5py,
         python3-pooch,
         python3-pytest,
         python3-pytest-mpl,
         python3-tk
Restrictions: allow-stderr

## yt 4.4.2

=== debian/changelog ===
yt (4.4.2-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Fix build source after successful build.
  * Add comment for 'DH_VERBOSE'.

  [ Ole Streicher ]
  * d/watch: Switch upstream to Github
  * New upstream version 4.4.2
  * Rediff patches
  * d/u/metadata: Remove unknown Name field
  * Remove outdated minversion from build-depends
  * Skip another test on 32 bit that crashes

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Nov 2025 21:27:58 +0100

=== debian/control ===
Source: yt
Standards-Version: 4.7.2
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 BW Keller <malzraa@gmail.com>,
 Ole Streicher <olebole@debian.org>,
Section: python
Priority: optional
Build-Depends:
 cython3 (>=3.0.0~),
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 libpython3-dev,
 python3-all-dev,
 python3-cmyt,
 python3-contourpy <!nocheck>,
 python3-ewah-bool-utils,
 python3-h5py <!nocheck>,
 python3-matplotlib <!nocheck>,
 python3-more-itertools <!nocheck>,
 python3-numpy,
 python3-numpy-dev,
 python3-pil,
 python3-pooch <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-mpl <!nocheck>,
 python3-setuptools,
 python3-sympy <!nocheck>,
 python3-tk <!nocheck>,
 python3-tomli-w,
 python3-tqdm <!nocheck>,
 python3-typing-extensions,
 python3-yaml <!nocheck>,
 python3-unyt,
 libjs-leaflet,
 libjs-jquery,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/yt
Vcs-Git: https://salsa.debian.org/debian-astro-team/yt.git
Homepage: https://yt-project.org/

Package: python3-yt
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-h5py,
 python3-matplotlib,
 python3-numpy,
 python3-sympy,
 libjs-leaflet,
 libjs-jquery,
Suggests:
 python3-astropy,
 python3-scipy,
 python3-pyx,
Description: Framework for analyzing and visualizing simulation data (Python 3)
 The yt project aims to produce an integrated science environment for
 collaboratively asking and answering astrophysical questions. To do so, it will
 encompass the creation of initial conditions, the execution of simulations, and
 the detailed exploration and visualization of the resultant data. It will also
 provide a standard framework based on physical quantities interoperability
 between codes.
 .
 This package contains the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
+
+# Uncomment line below to enable DH_VERBOSE.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/architecture.mk

=== debian/watch ===
Version: 5
Template: Github
Owner: yt-project
Project: yt

## yt iframe-1.0.5

=== requirements.txt ===
bs4==0.0.1
certifi==2019.3.9
chardet==3.0.4
idna==2.8
requests==2.21.0
soupsieve==1.8
urllib3==1.24.2

## yt queue-0.11.14

=== requirements.txt ===
yt-dlp==2025.08.11
